Bug 824492 - Cannot re-connect replica to previously disconnected master
Cannot re-connect replica to previously disconnected master
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 11:22 EDT by Dmitri Pal
Modified: 2015-05-19 09:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:13:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-05-23 11:22:08 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2759


{{{
vm-046# ipa-replica-manage disconnect vm-091.$domain
Deleted replication agreement from vm-046.$domain to vm-091.$domain

vm-046# ipa-replica-manage connect vm-091.$domain
You cannot connect to a previously deleted master
}}}

I started with this topology, with IPA 2.2 installed everywhere:

{{{
     106
   /  |
089  091
   \  |
     046
}}}

The check for this was added for https://fedorahosted.org/freeipa/ticket/2126, but the ticket only mentions ipa-replica-manage del, not disconnect.
Comment 1 RHEL Product and Program Management 2012-07-10 03:12:56 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:27:53 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Martin Kosek 2012-09-18 03:07:06 EDT
Upstream ticket was closed as this issue should be fixed in 32c1aa45b3d41e15adb2ca8f8713e774046bc340 as part of https://fedorahosted.org/freeipa/ticket/2925.

This bug is also related to Bug 826677, where additional checks have been added to prevent replica orphaning.
Comment 7 Scott Poore 2012-11-27 12:46:29 EST
Verified.

Version ::

ipa-server-3.0.0-8.el6.x86_64

Manual Test Results ::

Confirming environment setup:

[root@rhel6-1 ~]# ipa-replica-manage -p $ADMINPW list
rhel6-1.testrelm.com: master
rhel6-2.testrelm.com: master
rhel6-3.testrelm.com: master
rhel6-4.testrelm.com: master

[root@rhel6-1 ~]# ipa-replica-manage -p $ADMINPW list rhel6-1.testrelm.com
rhel6-2.testrelm.com: replica
rhel6-4.testrelm.com: replica

[root@rhel6-1 ~]# ipa-replica-manage -p $ADMINPW list rhel6-2.testrelm.com
rhel6-1.testrelm.com: replica
rhel6-3.testrelm.com: replica

[root@rhel6-1 ~]# ipa-replica-manage -p $ADMINPW list rhel6-3.testrelm.com
rhel6-2.testrelm.com: replica
rhel6-4.testrelm.com: replica

[root@rhel6-1 ~]# ipa-replica-manage -p $ADMINPW list rhel6-4.testrelm.com
rhel6-1.testrelm.com: replica
rhel6-3.testrelm.com: replica

Testing:

[root@rhel6-2 ~]# ipa-replica-manage disconnect rhel6-3.testrelm.com
ipa: INFO: Setting agreement cn=meTorhel6-2.testrelm.com,cn=replica,cn=dc\=testrelm\,dc\=com,cn=mapping tree,cn=config schedule to 2358-2359 0 to force synch
ipa: INFO: Deleting schedule 2358-2359 0 from agreement cn=meTorhel6-2.testrelm.com,cn=replica,cn=dc\=testrelm\,dc\=com,cn=mapping tree,cn=config
ipa: INFO: Replication Update in progress: FALSE: status: 0 Replica acquired successfully: Incremental update succeeded: start: 0: end: 0
Deleted replication agreement from 'rhel6-2.testrelm.com' to 'rhel6-3.testrelm.com'

[root@rhel6-2 ~]# ipa-replica-manage connect rhel6-3.testrelm.com
ipa: INFO: Getting ldap service principals for conversion: (krbprincipalname=ldap/rhel6-2.testrelm.com@TESTRELM.COM) and (krbprincipalname=ldap/rhel6-3.testrelm.com@TESTRELM.COM)
Connected 'rhel6-2.testrelm.com' to 'rhel6-3.testrelm.com'

[root@rhel6-2 ~]# ipa-replica-manage list rhel6-2.testrelm.com
rhel6-1.testrelm.com: replica
rhel6-3.testrelm.com: replica
Comment 9 errata-xmlrpc 2013-02-21 04:13:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.